
# react-native-native-alibaba

## Getting started

`$ npm install react-native-native-alibaba --save`

### Mostly automatic installation

`$ react-native link react-native-native-alibaba`

### Manual installation


#### iOS

1. In XCode, in the project navigator, right click `Libraries` ➜ `Add Files to [your project's name]`
2. Go to `node_modules` ➜ `react-native-native-alibaba` and add `RNNativeAlibaba.xcodeproj`
3. In XCode, in the project navigator, select your project. Add `libRNNativeAlibaba.a` to your project's `Build Phases` ➜ `Link Binary With Libraries`
4. Run your project (`Cmd+R`)<

#### Android

1. Open up `android/app/src/main/java/[...]/MainActivity.java`
  - Add `import com.reactlibrary.RNNativeAlibabaPackage;` to the imports at the top of the file
  - Add `new RNNativeAlibabaPackage()` to the list returned by the `getPackages()` method
2. Append the following lines to `android/settings.gradle`:
  	```
  	include ':react-native-native-alibaba'
  	project(':react-native-native-alibaba').projectDir = new File(rootProject.projectDir, 	'../node_modules/react-native-native-alibaba/android')
  	```
3. Insert the following lines inside the dependencies block in `android/app/build.gradle`:
  	```
      compile project(':react-native-native-alibaba')
  	```

#### Windows
[Read it! :D](https://github.com/ReactWindows/react-native)

1. In Visual Studio add the `RNNativeAlibaba.sln` in `node_modules/react-native-native-alibaba/windows/RNNativeAlibaba.sln` folder to their solution, reference from their app.
2. Open up your `MainPage.cs` app
  - Add `using Native.Alibaba.RNNativeAlibaba;` to the usings at the top of the file
  - Add `new RNNativeAlibabaPackage()` to the `List<IReactPackage>` returned by the `Packages` method


## Usage
```javascript
import RNNativeAlibaba from 'react-native-native-alibaba';

// TODO: What to do with the module?
RNNativeAlibaba;
```
  